GCLOUD_SQL_INSTANCES_RESTORE-BACKUP(1)

NAME

gcloud sql instances restore-backup - restores a backup of a Cloud SQL instance

SYNOPSIS

gcloud sql instances restore-backup INSTANCE (--backup-id=BACKUP_ID | --due-time=DUE_TIME) [--async] [--backup-instance=BACKUP_INSTANCE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
DEPRECATED: This command is deprecated and will be removed. Use 'gcloud beta sql backups restore' instead.

POSITIONAL ARGUMENTS

    INSTANCE
        Cloud SQL instance ID that will be restored.

REQUIRED FLAGS
Exactly one of these must be specified:

    --backup-id=BACKUP_ID
        The ID of the backup run to restore from.

    --due-time=DUE_TIME
        The time when this run was due to start in RFC 3339 format, for example 2012-11-15T16:19:00.094Z.

OPTIONAL FLAGS

    --async
        Do not wait for the operation to complete.

    --backup-instance=BACKUP_INSTANCE
        The ID of the instance that the backup was taken from.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.